tabs:
  main:
    display: Main
    sections:
      -
        display: 'Infos mariage'
        fields:
          -
            handle: wedding_date
            field:
              type: date
              display: 'Date mariage'
              time_enabled: true
          -
            handle: wedding_location
            field:
              type: text
              display: 'Lieu du mariage'
              instructions: 'Nom du lieu de mariage'
          -
            handle: wedding_address
            field:
              type: text
              display: 'Adresse du mariage'
              instructions: 'Adresse complète du lieu de mariage'
          -
            handle: wedding_location_link
            field:
              type: text
              display: 'Lien Google Maps (Lieu)'
              instructions: 'Lien vers Google Maps pour le lieu de mariage'
          -
            handle: parking_name
            field:
              type: text
              display: 'Nom du parking'
              instructions: 'Nom ou description du parking (ex: Parking des Caves)'
          -
            handle: google_maps_link
            field:
              type: text
              display: 'Lien Google My Maps'
              instructions: 'Lien de partage Google My Maps (ex: https://www.google.com/maps/d/u/0/viewer?mid=...)'
          -
            handle: ticket_class
            field:
              type: text
              display: 'Classe du billet'
              default: VIP
              instructions: 'Classe affichée sur le boarding pass (ex: VIP, First Class)'
      -
        display: 'Cadeau / Cagnotte'
        fields:
          -
            handle: payment_pdf
            field:
              type: assets
              display: 'Bulletin de versement (PDF)'
              instructions: 'PDF du bulletin de versement pour la cagnotte'
              max_files: 1
              container: assets
              mode: list
      -
        display: 'Partage réseaux sociaux'
        fields:
          -
            handle: og_title
            field:
              type: text
              display: 'Titre de partage'
              instructions: 'Titre affiché lors du partage sur WhatsApp, Facebook, etc.'
              default: 'Mariage de Yannick et Geoffrey'
          -
            handle: og_description
            field:
              type: textarea
              display: 'Description de partage'
              instructions: 'Description affichée lors du partage'
              default: 'Vous êtes invités à notre mariage ! Découvrez toutes les informations sur notre site.'
          -
            handle: og_image
            field:
              type: assets
              display: 'Image de partage'
              instructions: 'Image affichée lors du partage (recommandé: 1200x630px)'
              max_files: 1
              container: assets
              mode: list
      -
        display: 'Personnes de contact'
        fields:
          -
            handle: contact_people
            field:
              type: grid
              display: 'Personnes de contact'
              instructions: 'Témoins de mariage et Maître-sse de cérémonie'
              fields:
                -
                  handle: first_name
                  field:
                    type: text
                    display: 'Prénom'
                    width: 15
                    validate: required
                -
                  handle: last_name
                  field:
                    type: text
                    display: 'Nom'
                    width: 15
                    validate: required
                -
                  handle: role
                  field:
                    type: select
                    display: 'Rôle'
                    width: 20
                    validate: required
                    options:
                      temoin_homme: 'Le témoin'
                      temoin_femme: 'La témoin'
                      maitre_ceremonie: 'Maître de cérémonie'
                      maitresse_ceremonie: 'Maîtresse de cérémonie'
                -
                  handle: phone
                  field:
                    type: text
                    display: 'Téléphone'
                    width: 20
                    validate: required
                -
                  handle: photo
                  field:
                    type: assets
                    display: 'Photo'
                    max_files: 1
                    container: assets
                    mode: grid
  faq:
    display: FAQ
    sections:
      -
        display: 'Questions fréquentes'
        instructions: 'Gérez les questions de la FAQ'
        fields:
          -
            handle: faq_items
            field:
              type: replicator
              display: 'Questions FAQ'
              instructions: 'Ajoutez, modifiez ou réorganisez les questions de la FAQ'
              collapse: accordion
              sets:
                question:
                  display: Question
                  icon: text
                  fields:
                    -
                      handle: icon
                      field:
                        type: text
                        display: 'Icône'
                        instructions: 'Classe Font Awesome (ex: fas fa-map-marker-alt)'
                        width: 33
                    -
                      handle: question
                      field:
                        type: text
                        display: 'Question'
                        validate: required
                        width: 67
                    -
                      handle: answer
                      field:
                        type: bard
                        display: 'Réponse'
                        validate: required
                        buttons:
                          - bold
                          - italic
                          - unorderedlist
                          - orderedlist
                          - anchor
                        save_html: true
